<template>
  <div id="app">
    <home v-if="screenToggle === 'home'" @Change-Screen="changeScreen"></home>
    <questions v-else-if="screenToggle === 'questions'"></questions>
    <results v-else></results>
  </div>
</template>

<script>
import Home from './components/Home/home.vue';
import Questions from './components/Questions/Questions.vue';
import Results from './components/Results/results.vue';

export default {
  name: "App",
  components: {
    Questions,
    Results,
    Home
  },
  data() {
     return{screenToggle: 'home'}
  },
  methods: {
    changeScreen(screentype){
      this.screenToggle = screentype
    }
  }
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
